typedef struct{
unsigned int	adc135;           //ADC for Model 135
double	      hertzRate;			//scan rate (hz)
unsigned int	average;          //number of samples to average per point
unsigned int   ichDelay;         //interchannel delay
unsigned int   numData;          //number of datapoints per scan
unsigned long	totScans;         //number of scans to perform
unsigned int   digInp;           //flag for digital input 1 = on  0 = off
BYTE 	         controlCode;		//control code for next conversion in GetConv
unsigned int   cCode[65];        //array of control codes
unsigned int	timeStamp;		   //1 = timeStamp, 0 = no timeStamp
unsigned long	numCompleted;     //number of scans completed if scan was aborted
unsigned long  overHead;			//time in ticks for overhead
}	T_M135;

extern "C" short FAR PASCAL _export ADInit(int adc, BYTE cCode);

extern "C" double FAR PASCAL _export GetConv(T_M135 far *M135);

extern "C" short FAR PASCAL _export OverHead(T_M135 far *M135);

extern "C" short FAR PASCAL _export Setup(T_M135 far *M135, unsigned int huge *clientDataBuffer);

extern "C" short FAR PASCAL _export DoBurst(T_M135 far *M135);

extern "C" short FAR PASCAL _export DoStamp(T_M135 far *M135);

extern "C" void FAR SETVARS(short far*, unsigned int far*);

extern "C" short FAR BURSTS(unsigned short far*, unsigned short far*);

extern "C" short FAR TIMESTAMP(unsigned short far*, unsigned short far*);

extern "C" void FAR TEST135(unsigned short far*, unsigned short far*);


